Bug 967704 - openstack-status does not show the ceilometer and heat services status
openstack-status does not show the ceilometer and heat services status
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-utils (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: beta
: 4.0
Assigned To: Pádraig Brady
Ami Jeain
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 01:44 EDT by Attila Fazekas
Modified: 2016-01-04 09:43 EST (History)
4 users (show)

See Also:
Fixed In Version: openstack-utils-2013.2-1.el6ost
Doc Type: Enhancement
Doc Text:
The openstack-status command output now includes the status of Orchestration and Metering services.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 19:03:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Attila Fazekas 2013-05-28 01:44:46 EDT
openstack-utils-2013.1-8.el6ost.noarch does not shows the heat and ceilometer services.
Comment 3 Scott Lewis 2013-11-19 11:54:57 EST
Auto adding >= MODIFIED bugs to beta
Comment 4 Ami Jeain 2013-11-21 17:23:12 EST
verified:

# source keystonerc_admin 
# openstack-status 
== Nova services ==
openstack-nova-api:           active
openstack-nova-cert:          active
openstack-nova-compute:       active
openstack-nova-network:       dead (disabled on boot)
openstack-nova-scheduler:     active
openstack-nova-volume:        dead (disabled on boot)
openstack-nova-conductor:     active
== Glance services ==
openstack-glance-api:         active
openstack-glance-registry:    active
== Keystone service ==
openstack-keystone:           active
== Horizon service ==
openstack-dashboard:          500
== neutron services ==
neutron-server:               active
neutron-dhcp-agent:           active
neutron-l3-agent:             active
neutron-metadata-agent:       active
neutron-lbaas-agent:          inactive (disabled on boot)
neutron-openvswitch-agent:    active
== Swift services ==
openstack-swift-proxy:        active
openstack-swift-account:      active
openstack-swift-container:    active
openstack-swift-object:       active
== Cinder services ==
openstack-cinder-api:         active
openstack-cinder-scheduler:   active
openstack-cinder-volume:      active
== Ceilometer services ==
openstack-ceilometer-api:     active
openstack-ceilometer-central: active
openstack-ceilometer-compute: active
openstack-ceilometer-collector:active
== Heat services ==
openstack-heat-api:           active
openstack-heat-api-cfn:       dead (disabled on boot)
openstack-heat-api-cloudwatch:dead (disabled on boot)
openstack-heat-engine:        active
== Support services ==
mysqld:                       active
libvirtd:                     active
openvswitch:                  active
messagebus:                   active
tgtd:                         active
qpidd:                        active
memcached:                    active
== Keystone users ==
+----------------------------------+------------+---------+----------------------+
|                id                |    name    | enabled |        email         |
+----------------------------------+------------+---------+----------------------+
| 7cd4dbe44e124a569d2c572c2b2aa649 |   admin    |   True  |    test@test.com     |
| 8dcc00acaa9e41f5b6be1081165a2295 | ceilometer |   True  | ceilometer@localhost |
| c3c9b39865bd41608082a31c938e3e7e |   cinder   |   True  |   cinder@localhost   |
| 8bd3388b81b6491ba79f4800f6b8b3b0 |   glance   |   True  |   glance@localhost   |
| 77a076d9faf8450182625eb1035b0d1d |    heat    |   True  |    heat@localhost    |
| 327eff58420d4e6184d6dde9b1327d19 |  neutron   |   True  |  neutron@localhost   |
| b972560dbcb74fd3b69385fa0ae68df8 |    nova    |   True  |    nova@localhost    |
| 15801882c471438fae47653741f2d25d |   swift    |   True  |   swift@localhost    |
+----------------------------------+------------+---------+----------------------+
== Glance images ==
+--------------------------------------+----------+-------------+------------------+------------+--------+
| ID                                   | Name     | Disk Format | Container Format | Size       | Status |
+--------------------------------------+----------+-------------+------------------+------------+--------+
| 14b97138-ba0e-48f7-b8af-064079224dc0 | rhel64qa | qcow2       | bare             | 2111766528 | active |
+--------------------------------------+----------+-------------+------------------+------------+--------+
== Nova instance flavors ==
+----+-----------+-----------+------+-----------+------+-------+-------------+-----------+
| ID | Name      | Memory_MB | Disk | Ephemeral | Swap | VCPUs | RXTX_Factor | Is_Public |
+----+-----------+-----------+------+-----------+------+-------+-------------+-----------+
| 1  | m1.tiny   | 512       | 1    | 0         |      | 1     | 1.0         | True      |
| 2  | m1.small  | 2048      | 20   | 0         |      | 1     | 1.0         | True      |
| 3  | m1.medium | 4096      | 40   | 0         |      | 2     | 1.0         | True      |
| 4  | m1.large  | 8192      | 80   | 0         |      | 4     | 1.0         | True      |
| 5  | m1.xlarge | 16384     | 160  | 0         |      | 8     | 1.0         | True      |
+----+-----------+-----------+------+-----------+------+-------+-------------+-----------+
== Nova instances ==
+--------------------------------------+-------+--------+------------+-------------+------------------+
| ID                                   | Name  | Status | Task State | Power State | Networks         |
+--------------------------------------+-------+--------+------------+-------------+------------------+
| d1105fb3-1fc7-43a9-8ab3-2cee0c42c524 | inst1 | ACTIVE | None       | Running     | int=192.168.32.2 |
+--------------------------------------+-------+--------+------------+-------------+------------------+
Comment 7 errata-xmlrpc 2013-12-19 19:03:33 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-1859.html

Note You need to log in before you can comment on or make changes to this bug.